не запускается исполняемого файл firefox

Интернет
Правила форума
Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа.

Автор темы
alex-brok
Сообщения: 17
Зарегистрирован: 07 июл 2017, 06:51
Решено: 1
Благодарил (а): 3 раза

не запускается исполняемого файл firefox

Сообщение alex-brok » 09 окт 2017, 18:26

После обновления firefox до 56 версии перестали работать "устаревшие" дополнения, решил установить firefox 55 версии с firefox-55.0.3.tar.bz2. Распаковал, но исполняемый файл ./firefox не хочет запускаться ни при двойном клике по нему, ни с терминала. Терминал отвечает:
XPCOMGlueLoad error for file /home/alex/Program_file/firefox/libmozgtk.so:
libgtk-3.so.0: cannot open shared object file: No such file or directory
Couldn't load XPCOM.
Пробовал другую програму также установить и запустить - та же история.
Как победить эту проблему?

Решение alex-brok » 09 окт 2017, 19:18
Chocobo писал(а): Ну под 64-бита пакет судя по выхлопу стоит. Софтинка тоже х64?
вот и проблема - это был firefox 32-битный, распаковал х64 и теперь все запускается. :bravo:

где найти деб-пакет 55 версии? в репозитории уже 56 версия, нужное дополнение на ней не работает, откатить обновление, насколько я понимаю нет возможности, поэтому и пришлось завязаться с портаблом

Перейти к ответу ➙
LM 18.2 x64. xfce

Аватара пользователя

Chocobo
Сообщения: 5492
Зарегистрирован: 27 авг 2016, 19:57
Решено: 126
Откуда: НН
Благодарил (а): 410 раз
Поблагодарили: 1422 раза

запуск исполняемого файла

Сообщение Chocobo » 09 окт 2017, 18:36

alex-brok писал(а): libgtk-3.so.0: cannot open shared object file: No such file or directory
Не хватает зависимой библиотеки, обычно живет в пакете libgtk-3-0, схавает ли этот портейбл - кто знает :dntnw:
Обычные пакетированные фоксы работают норм, действуя в обход - чудес может быть немало. :smile:


Автор темы
alex-brok
Сообщения: 17
Зарегистрирован: 07 июл 2017, 06:51
Решено: 1
Благодарил (а): 3 раза

не запускается исполняемого файл firefox

Сообщение alex-brok » 09 окт 2017, 18:39

Chocobo писал(а): Не хватает зависимой библиотеки
как исправить сие?
LM 18.2 x64. xfce

Аватара пользователя

Chocobo
Сообщения: 5492
Зарегистрирован: 27 авг 2016, 19:57
Решено: 126
Откуда: НН
Благодарил (а): 410 раз
Поблагодарили: 1422 раза

не запускается исполняемого файл firefox

Сообщение Chocobo » 09 окт 2017, 18:44

Chocobo писал(а): обычно живет в пакете libgtk-3-0

Код: Выделить всё

▶ dpkg -S libgtk-3.so.0
libgtk-3-0:i386: /usr/lib/i386-linux-gnu/libgtk-3.so.0.1800.9
libgtk-3-0:amd64: /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
libgtk-3-0:i386: /usr/lib/i386-linux-gnu/libgtk-3.so.0
libgtk-3-0:amd64: /usr/lib/x86_64-linux-gnu/libgtk-3.so.0.1800.9
Проверь для начала стоит ли этот пакет (может крысе он не треубется, в корице от него полсистемы зависит)


Автор темы
alex-brok
Сообщения: 17
Зарегистрирован: 07 июл 2017, 06:51
Решено: 1
Благодарил (а): 3 раза

не запускается исполняемого файл firefox

Сообщение alex-brok » 09 окт 2017, 18:50

alex@Desktop-Lin ~ $ dpkg -S libgtk-3.so.0
libgtk-3-0:amd64: /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
libgtk-3-0:amd64: /usr/lib/x86_64-linux-gnu/libgtk-3.so.0.1800.9
alex@Desktop-Lin ~ $ libgtk-3-0:i386: /usr/lib/i386-linux-gnu/libgtk-3.so.0.1800.9
libgtk-3-0:i386:: команда не найдена
alex@Desktop-Lin ~ $ libgtk-3-0:amd64: /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
libgtk-3-0:amd64:: команда не найдена
alex@Desktop-Lin ~ $ libgtk-3-0:i386: /usr/lib/i386-linux-gnu/libgtk-3.so.0
libgtk-3-0:i386:: команда не найдена
alex@Desktop-Lin ~ $ libgtk-3-0:amd64: /usr/lib/x86_64-linux-gnu/libgtk-3.so.0.1800.9
я так понимаю, что библиотека есть?
Последний раз редактировалось пользователем 2 Dja; всего редактировалось раз: 18
Причина: spoil
LM 18.2 x64. xfce

Аватара пользователя

Chocobo
Сообщения: 5492
Зарегистрирован: 27 авг 2016, 19:57
Решено: 126
Откуда: НН
Благодарил (а): 410 раз
Поблагодарили: 1422 раза

не запускается исполняемого файл firefox

Сообщение Chocobo » 09 окт 2017, 18:54

alex-brok, Ну под 64-бита пакет судя по выхлопу стоит. Софтинка тоже х64?
Попробуй слинковать в ту же директорию, где исполняемый файл
ln -s /usr/lib/x86_64-linux-gnu/libgtk-3.so.0 /home/alex/Program_file/firefox/


Автор темы
alex-brok
Сообщения: 17
Зарегистрирован: 07 июл 2017, 06:51
Решено: 1
Благодарил (а): 3 раза

не запускается исполняемого файл firefox

Сообщение alex-brok » 09 окт 2017, 18:57

а вот софтинка ли х64 я не проверил
LM 18.2 x64. xfce


Автор темы
alex-brok
Сообщения: 17
Зарегистрирован: 07 июл 2017, 06:51
Решено: 1
Благодарил (а): 3 раза

не запускается исполняемого файл firefox

Сообщение alex-brok » 09 окт 2017, 19:00

пардон не там терминал открыл...
ответ
alex@Desktop-Lin ~/Program_file/firefox $ ln -s /usr/lib/x86_64-linux-gnu/libgtk-3.so.0 /home/alex/Program_file/firefox/
ln: не удалось создать символьную ссылку '/home/alex/Program_file/firefox/libgtk-3.so.0': Файл существует
Последний раз редактировалось пользователем 2 Dja; всего редактировалось раз: 18
LM 18.2 x64. xfce

Аватара пользователя

Chocobo
Сообщения: 5492
Зарегистрирован: 27 авг 2016, 19:57
Решено: 126
Откуда: НН
Благодарил (а): 410 раз
Поблагодарили: 1422 раза

не запускается исполняемого файл firefox

Сообщение Chocobo » 09 окт 2017, 19:01

alex-brok, ну и проще наверное найти дебпакет интересующей версии, чем плясать с этими граблями вокруг содержимого архива.

Откуда кстати брал этот tar.bz дай ссыль, глянуть что там


Автор темы
alex-brok
Сообщения: 17
Зарегистрирован: 07 июл 2017, 06:51
Решено: 1
Благодарил (а): 3 раза

не запускается исполняемого файл firefox

Сообщение alex-brok » 09 окт 2017, 19:18

Chocobo писал(а): Ну под 64-бита пакет судя по выхлопу стоит. Софтинка тоже х64?
вот и проблема - это был firefox 32-битный, распаковал х64 и теперь все запускается. :bravo:

где найти деб-пакет 55 версии? в репозитории уже 56 версия, нужное дополнение на ней не работает, откатить обновление, насколько я понимаю нет возможности, поэтому и пришлось завязаться с портаблом
LM 18.2 x64. xfce

Аватара пользователя

Chocobo
Сообщения: 5492
Зарегистрирован: 27 авг 2016, 19:57
Решено: 126
Откуда: НН
Благодарил (а): 410 раз
Поблагодарили: 1422 раза

не запускается исполняемого файл firefox

Сообщение Chocobo » 09 окт 2017, 19:23

alex-brok, тогда может и тот бы взлетел с apt install libgtk-3-0:i386


Автор темы
alex-brok
Сообщения: 17
Зарегистрирован: 07 июл 2017, 06:51
Решено: 1
Благодарил (а): 3 раза

не запускается исполняемого файл firefox

Сообщение alex-brok » 09 окт 2017, 19:27

так вопрос уже решен, скачал х64
ссылочку на деб-пакет увидел, можно просто поверх ставить, или надо удалить firefox 56 который стоит уже?
LM 18.2 x64. xfce

Аватара пользователя

Chocobo
Сообщения: 5492
Зарегистрирован: 27 авг 2016, 19:57
Решено: 126
Откуда: НН
Благодарил (а): 410 раз
Поблагодарили: 1422 раза

не запускается исполняемого файл firefox

Сообщение Chocobo » 09 окт 2017, 19:29

Там apt/dpkg/gdebi сам подскажет, если потребуются какие-то доп. действия

Вернуться в «Работа с сетью»